query Disputes($input: DisputesQueryInput!) {
disputes(input: $input) {
items {
acceptor {
businessName
id
name
reference
}
acquirer {
businessName
id
}
acquirerReferenceNumber
amountContext
assignment
caseNumber
createdDateTime
disputeAmount
disputeAttachments {
createdDateTime
description
dispute
fileName
fileType
fileUrl
id
}
disputeCurrencyCode
disputeDate
disputeEvents {
}
disputeFundingAmount
disputeFundingCurrency
id
lastUpdatedUserId
lifeCycle
networkReason
networkReasonCode
networkReasonLabel
organization {
businessName
capabilities
id
legalName
name
phoneNumber
}
paymentBrand
paymentId
processingNetwork
processorExpirationDate
respondByDate
status
transactionId
updatedDateTime
workflowAssignment
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"caseNumber": "example",
"disputeDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query Disputes($input: DisputesQueryInput!) {\n disputes(input: $input) {\n items {\n acceptor {\n businessName\n id\n name\n reference\n }\n acquirer {\n businessName\n id\n }\n acquirerReferenceNumber\n amountContext\n assignment\n caseNumber\n createdDateTime\n disputeAmount\n disputeAttachments {\n createdDateTime\n description\n dispute\n fileName\n fileType\n fileUrl\n id\n }\n disputeCurrencyCode\n disputeDate\n disputeEvents {\n\n }\n disputeFundingAmount\n disputeFundingCurrency\n id\n lastUpdatedUserId\n lifeCycle\n networkReason\n networkReasonCode\n networkReasonLabel\n organization {\n businessName\n capabilities\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentId\n processingNetwork\n processorExpirationDate\n respondByDate\n status\n transactionId\n updatedDateTime\n workflowAssignment\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"caseNumber": "example",
"disputeDate": "example"
}
}
}
}'
{
"data": {
"disputes": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"acquirer": {
"acquirerBin": [
"example"
],
"businessName": "Clacksworth Keyboards",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"acquirerReferenceNumber": "example",
"amountContext": "FULL_AMOUNT",
"assignment": "CARD_NETWORK",
"caseNumber": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"disputeAmount": 0,
"disputeAttachments": [
{
"acceptor": "example",
"acquirer": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"dispute": "example",
"fileName": "business-license.pdf",
"fileType": "BMP",
"fileUrl": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"organization": "example"
}
],
"disputeCurrencyCode": "USD",
"disputeDate": "2026-01-15",
"disputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"disputeFundingAmount": 0,
"disputeFundingCurrency": "USD",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"lastUpdatedUserId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"lifeCycle": "ARBITRATION",
"networkReason": "NONE",
"networkReasonCode": "example",
"networkReasonLabel": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"processingNetwork": "VISA",
"processorExpirationDate": "2026-01-15",
"respondByDate": "2026-01-15",
"status": "OPEN",
"transactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"updatedDateTime": "2026-01-15T14:30:00Z",
"workflowAssignment": "CARD_NETWORK"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Risk, Compliance & Dispute Management
disputes
Retrieve disputes based on query parameters
query Disputes($input: DisputesQueryInput!) {
disputes(input: $input) {
items {
acceptor {
businessName
id
name
reference
}
acquirer {
businessName
id
}
acquirerReferenceNumber
amountContext
assignment
caseNumber
createdDateTime
disputeAmount
disputeAttachments {
createdDateTime
description
dispute
fileName
fileType
fileUrl
id
}
disputeCurrencyCode
disputeDate
disputeEvents {
}
disputeFundingAmount
disputeFundingCurrency
id
lastUpdatedUserId
lifeCycle
networkReason
networkReasonCode
networkReasonLabel
organization {
businessName
capabilities
id
legalName
name
phoneNumber
}
paymentBrand
paymentId
processingNetwork
processorExpirationDate
respondByDate
status
transactionId
updatedDateTime
workflowAssignment
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"caseNumber": "example",
"disputeDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query Disputes($input: DisputesQueryInput!) {\n disputes(input: $input) {\n items {\n acceptor {\n businessName\n id\n name\n reference\n }\n acquirer {\n businessName\n id\n }\n acquirerReferenceNumber\n amountContext\n assignment\n caseNumber\n createdDateTime\n disputeAmount\n disputeAttachments {\n createdDateTime\n description\n dispute\n fileName\n fileType\n fileUrl\n id\n }\n disputeCurrencyCode\n disputeDate\n disputeEvents {\n\n }\n disputeFundingAmount\n disputeFundingCurrency\n id\n lastUpdatedUserId\n lifeCycle\n networkReason\n networkReasonCode\n networkReasonLabel\n organization {\n businessName\n capabilities\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentId\n processingNetwork\n processorExpirationDate\n respondByDate\n status\n transactionId\n updatedDateTime\n workflowAssignment\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"caseNumber": "example",
"disputeDate": "example"
}
}
}
}'
{
"data": {
"disputes": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"acquirer": {
"acquirerBin": [
"example"
],
"businessName": "Clacksworth Keyboards",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"acquirerReferenceNumber": "example",
"amountContext": "FULL_AMOUNT",
"assignment": "CARD_NETWORK",
"caseNumber": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"disputeAmount": 0,
"disputeAttachments": [
{
"acceptor": "example",
"acquirer": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"dispute": "example",
"fileName": "business-license.pdf",
"fileType": "BMP",
"fileUrl": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"organization": "example"
}
],
"disputeCurrencyCode": "USD",
"disputeDate": "2026-01-15",
"disputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"disputeFundingAmount": 0,
"disputeFundingCurrency": "USD",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"lastUpdatedUserId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"lifeCycle": "ARBITRATION",
"networkReason": "NONE",
"networkReasonCode": "example",
"networkReasonLabel": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"processingNetwork": "VISA",
"processorExpirationDate": "2026-01-15",
"respondByDate": "2026-01-15",
"status": "OPEN",
"transactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"updatedDateTime": "2026-01-15T14:30:00Z",
"workflowAssignment": "CARD_NETWORK"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
DisputesQueryInput!
required
Show child attributes
Show child attributes
[DisputesSortTypeInput!]
Show child attributes
Show child attributes
DisputesSortField!
required
SortingEnumType!
required
See SortingEnumType
PagingInput!
required
See PagingInput
DisputesFilterInput!
required
Show child attributes
Show child attributes
GuidFilterInput
See GuidFilterInput
StringFilterInput
GuidFilterInput
See GuidFilterInput
GuidFilterInput
See GuidFilterInput
EnumFilterInputOfPaymentBrandInput
EnumFilterInputOfDisputeStatusInput
Show child attributes
Show child attributes
DisputeStatus
Show Possible enum values
Show Possible enum values
[DisputeStatus!]
Show Possible enum values
Show Possible enum values
[DisputeStatus!]
Show Possible enum values
Show Possible enum values
EnumFilterInputOfDisputeWorkflowAssignmentInput
Show child attributes
Show child attributes
DisputeWorkflowAssignment
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
[DisputeWorkflowAssignment!]
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
[DisputeWorkflowAssignment!]
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
Return type
DisputeCollection
[Dispute!]!
required
Show child attributes
Show child attributes
Acquirer
Show child attributes
Show child attributes
String!
required
The descriptive name for the acquirer that is different from its legal entity name. Also known as “Doing Business As” (DBA), “trade name”, “assumed name”, or “fictitious name”.
UUID!
required
The id of the acquirer as defined in their profile.
String
DisputeAmountContext
DisputeWorkflowAssignment
deprecated
Deprecated: Use workflowAssignment instead.
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
String
DateTime
Decimal
[DisputeAttachment!]
Show child attributes
Show child attributes
CurrencyCodeAlpha
Date
DisputeEventCollection
Show child attributes
Show child attributes
[DisputeEvent!]!
required
Show child attributes
Show child attributes
Acceptor
Acquirer
DisputeAttachment
DateTime
DisputeLifeCycle
deprecated
Deprecated: Use lifeCycle instead.See DisputeLifeCycle
Date
Dispute
DisputeEventType
DisputeWorkflowAssignment
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
UUID
DisputeLifeCycle
See DisputeLifeCycle
Organization
DisputeStatus
Show Possible enum values
Show Possible enum values
DisputeWorkflowAssignment
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
UUID
Decimal
CurrencyCodeAlpha
UUID
UUID
DisputeLifeCycle
See DisputeLifeCycle
NetworkReason
String
String
Organization
See Organization
PaymentBrand
See PaymentBrand
UUID
A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the same payment request cohort. e.g., An authorization request, incremental authorization request, and the final capture would have the same paymentID.
Date
Date
DisputeStatus
Show Possible enum values
Show Possible enum values
UUID
deprecated
Deprecated: Will be removed in a future release.
DateTime
DisputeWorkflowAssignment
Show Possible enum values
Show Possible enum values
enum
The dispute is assigned to the pertinent card network (Visa, Mastercard, American Express, or Discover) for next steps.
enum
The dispute is assigned to the partner entity that created the transaction now being disputed.
enum
The dispute is assigned to the payment processor, i.e., Tesouro, for next steps.
query Disputes($input: DisputesQueryInput!) {
disputes(input: $input) {
items {
acceptor {
businessName
id
name
reference
}
acquirer {
businessName
id
}
acquirerReferenceNumber
amountContext
assignment
caseNumber
createdDateTime
disputeAmount
disputeAttachments {
createdDateTime
description
dispute
fileName
fileType
fileUrl
id
}
disputeCurrencyCode
disputeDate
disputeEvents {
}
disputeFundingAmount
disputeFundingCurrency
id
lastUpdatedUserId
lifeCycle
networkReason
networkReasonCode
networkReasonLabel
organization {
businessName
capabilities
id
legalName
name
phoneNumber
}
paymentBrand
paymentId
processingNetwork
processorExpirationDate
respondByDate
status
transactionId
updatedDateTime
workflowAssignment
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"caseNumber": "example",
"disputeDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query Disputes($input: DisputesQueryInput!) {\n disputes(input: $input) {\n items {\n acceptor {\n businessName\n id\n name\n reference\n }\n acquirer {\n businessName\n id\n }\n acquirerReferenceNumber\n amountContext\n assignment\n caseNumber\n createdDateTime\n disputeAmount\n disputeAttachments {\n createdDateTime\n description\n dispute\n fileName\n fileType\n fileUrl\n id\n }\n disputeCurrencyCode\n disputeDate\n disputeEvents {\n\n }\n disputeFundingAmount\n disputeFundingCurrency\n id\n lastUpdatedUserId\n lifeCycle\n networkReason\n networkReasonCode\n networkReasonLabel\n organization {\n businessName\n capabilities\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentId\n processingNetwork\n processorExpirationDate\n respondByDate\n status\n transactionId\n updatedDateTime\n workflowAssignment\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"caseNumber": "example",
"disputeDate": "example"
}
}
}
}'
{
"data": {
"disputes": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"acquirer": {
"acquirerBin": [
"example"
],
"businessName": "Clacksworth Keyboards",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"acquirerReferenceNumber": "example",
"amountContext": "FULL_AMOUNT",
"assignment": "CARD_NETWORK",
"caseNumber": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"disputeAmount": 0,
"disputeAttachments": [
{
"acceptor": "example",
"acquirer": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"dispute": "example",
"fileName": "business-license.pdf",
"fileType": "BMP",
"fileUrl": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"organization": "example"
}
],
"disputeCurrencyCode": "USD",
"disputeDate": "2026-01-15",
"disputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"disputeFundingAmount": 0,
"disputeFundingCurrency": "USD",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"lastUpdatedUserId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"lifeCycle": "ARBITRATION",
"networkReason": "NONE",
"networkReasonCode": "example",
"networkReasonLabel": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"processingNetwork": "VISA",
"processorExpirationDate": "2026-01-15",
"respondByDate": "2026-01-15",
"status": "OPEN",
"transactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"updatedDateTime": "2026-01-15T14:30:00Z",
"workflowAssignment": "CARD_NETWORK"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?